package com.iformall.domain.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created by syf on 2018/8/10.
 * 用户卡券
 */
public class WxUserCouponDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private Integer couponStatus;
    private Long orderId;
    private Long cUserId;
    private Long couponId;
    private String couponTitle;
    private Date validDate;

    public WxUserCouponDto(){
    }

    public Integer getCouponStatus() {
        return couponStatus;
    }

    public void setCouponStatus(Integer couponStatus) {
        this.couponStatus = couponStatus;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getcUserId() {
        return cUserId;
    }

    public void setcUserId(Long cUserId) {
        this.cUserId = cUserId;
    }

    public Long getCouponId() {
        return couponId;
    }

    public void setCouponId(Long couponId) {
        this.couponId = couponId;
    }

    public String getCouponTitle() {
        return couponTitle;
    }

    public void setCouponTitle(String couponTitle) {
        this.couponTitle = couponTitle;
    }
    public Date getValidDate() {
        return validDate;
    }

    public void setValidDate(Date validDate) {
        this.validDate = validDate;
    }
}
